ALARM(2)

NAME
alarm - schedule signal after specified time

SYNOPSIS
#include <unistd.h>
unsigned int alarm(unsigned int seconds)

DESCRIPTION
Alarm causes signal SIGALRM, see sigaction(2), to be sent to the invoking process in a number of seconds given by the argument. Unless caught or ignored, the signal terminates the process.

Alarm requests are not stacked; successive calls reset the alarm clock. If the argument is 0, any alarm request is canceled. Because of scheduling delays, resumption of execution of when the signal is caught may be delayed an arbitrary amount.

The return value is the amount of time previously remaining in the alarm clock.

SEE ALSO
pause(2), sigsuspend(2), sigaction(2), sleep(3).